#!/bin/bash

# Modify /sbin/halt.local to call this script.  For more information,
# see /usr/share/doc/vdr*/README.package
#
# If /sbin/halt.local does not exist, something like the following shell
# script should work.  Remember to make it executable.
# 
# #!/bin/sh
# /usr/lib64/vdr/bin/vdr-halt.local.sh

wakeupfile=/var/lib/vdr/next-wakeup
sysfsalarm=/sys/class/rtc/rtc0/wakealarm
procalarm=/proc/acpi/alarm

trap "rm -f $wakeupfile" EXIT

if [ -s "$wakeupfile" ] ; then
    seconds=$(cat "$wakeupfile")
    datestr=$(date -d "1970-01-01 UTC $seconds sec" +"%Y-%m-%d %H:%M:%S")
    if [ -w "$sysfsalarm" ] ; then
        echo "Setting ACPI wakeup for next VDR timer (via sysfs): $datestr"
        echo 0          > "$sysfsalarm"
        echo "$seconds" > "$sysfsalarm"
    elif [ -w "$procalarm" ] ; then
        echo "Setting ACPI wakeup for next VDR timer (via /proc): $datestr"
        echo "$datestr" > "$procalarm"
    fi
fi
